<?php
/*=================================================================================================
 *  그누보드전용
 *  호출 주소 :  http://도매인주소/g5/plugin/multi_uploader/gnu_add_colum.php
 *  g5_board_file 디비 테이블에 bf_list_thumbnail 필드를 추가해서 대표 썸네일을 쓸수 있도록 한다
 *  추가한 다음 bf_no => 0번을 모두 Y로 변경 대표 썸네일이 되도록 바꾼다  
 *  " 필드 생성, 업로드된 파일 bf_no => 0번 대표 썸네일로 지정 " 문장이 보이면 원활히 진행된 결과이니 해당 파일을 다시 접근하지 
 *  않도록 다른 이름으로 바꾸거나 혹은 현재의 파일을 삭제하세요
 *
 *  2024.07.26
 *  예뜨락 ( http://marihome.net )
 *-----------------------------------------------------------------------------------------------*/
include_once('../../../common.php');
 


if( ! $is_admin ){
    echo '관리자로 로그인 하세요';
    exit;
} else {
    $sql1 ="SELECT COLUMN_NAME
    FROM INFORMATION_SCHEMA.COLUMNS
    WHERE TABLE_NAME = '".$g5['board_file_table']."' AND COLUMN_NAME = 'bf_list_thumbnail'";
    $query1 = sql_fetch($sql1, true);

    if($query1['COLUMN_NAME'] === 'bf_list_thumbnail'){
        echo '이미 필드가 생성되어 있음<br>해당 파일을 다른이름으로 저장 혹은 삭제 하세요';
        exit;

    } else{
        // SQL 쿼리문
        $sql2   = "ALTER TABLE `".$g5['board_file_table']."`
        ADD COLUMN `bf_list_thumbnail` ENUM('Y','N') NOT NULL DEFAULT 'N' COMMENT '대표 썸네일' COLLATE 'utf8_general_ci' AFTER `bf_datetime`";
        $query2 = sql_fetch($sql2, true);

        echo '필드 생성<br>';
        // 각 게시글의 첫번째 업로드된 파일에( bf_no => 0 ) 대표 썸네일로 쓸수 있게 필드값을 Y를 넣어준다
        
        $sql3 = "UPDATE `".$g5['board_file_table']."` SET `bf_list_thumbnail`='Y' WHERE `bf_no`=0";
        $query3 = sql_fetch($sql3, true);

        echo '업로드된 파일 bf_no => 0번 대표 썸네일로 지정<br>';
        exit;

    }
}

